CREATE TABLE fun_av_metadata[ (
    AV_ID                     NUMBER(18, 0)     NOT NULL,
    AV_NAME                   VARCHAR2(120)     NOT NULL,
    USER_DEFINED_NAME         VARCHAR2(120) ,
    USAGE_CODE                VARCHAR2(120) ,
    COA_ID                    NUMBER(18, 0) ,
    SYNONYM_NAME              VARCHAR2(120) ,
    STARTING_PERIOD_NAME      VARCHAR2(60)  ,
    ACCOUNTING_CALENDAR_ID    NUMBER(18, 0) ,
    ACTIVE_FLAG               VARCHAR2(4)   ,
    FACT_VIEW_NAME            VARCHAR2(120) ,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL
);
